PPOWERD(1)

NAME
ppowerd - Daemon for controlling x10 hardware.

SYNOPSIS
ppowerd [OPTION]...

DESCRIPTION
Ppowerd is the daemon program for accessing x10 hardware. Ppowerd sits in the background waiting for client requests or for x10 messages to come in over the power line. If you have defined a macro in your configuration file and the event received is a valid trigger for it, the macro will be executed. Macros can contain UNIX commands to run as well as commands to send to the x10 hardware.

OPTIONS

-v, --version
    display program vesrion

-h, --help
    give help on usage

-f, --conf=FILE
    specify alternate configuration file

-n, --no-backgorund
    do not fork into the background, primarily for debugging purposes

-d, --debug=LEVEL
    set the debug level, 0 is off; check the program's --help to see what the maximum debug level currently is as well as the compiled in default

EXAMPLES
Run the daemon so it can listen to the x10 hardware as well as letting you communicate with it. ppowerd

FILES

ppower.conf
    The configuration file for the ppower package. See the example configuration file included in the distribution and the documentation for examples.

ppowerd-monitor.socket
    This is the socket used by the daemon to allow clients to connect and listen to x10 events. It is created automatically and typically resides in /var/run/.

ppowerd.socket
    The socket that clients connect to when they wish to send commands to the daemon. It is created automatically and typically resides in /var/run/.

ppowerd.pid
    A file containing the pid of the running daemon. It is created automatically and typically resides in /var/run/.

AUTHOR
Steven Brown <swbrown@ucsd.edu>.

BUGS
A lot of functionality is missing or half-implemented as this project is quite new. Check the TODO file included in the distribution for a better list.

REPORTING BUGS
Report bugs to <swbrown@ucsd.edu>.